<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\CategoriesResource;
use App\Http\Resources\AdditionalsResource;
use App\Models\AdditionalType;
use App\Models\Category;
use App\Models\Setting;
use Illuminate\Http\Request;

class CategoriesController extends Controller
{
    public function categories_parent(Request $request)
    {
        $categories = Category::where('parent_id', '=', null)->where('status', 'active')->get();
        $data = CategoriesResource::collection($categories);
        return response()->json(['value' => true, 'data' => $data, 'code' => 200]);
    }

    public function sub_categories(Request $request, $id)
    {
        $categories = Category::where(['parent_id' => $id, 'status' => 'active'])->get();
        $data = CategoriesResource::collection($categories);
        return response()->json(['value' => true, 'data' => $data, 'code' => 200]);
    }

    public function additional_type(Request $request)
    {
        $additionals = AdditionalType::where(['status' => 'active'])->get();
        $data = AdditionalsResource::collection($additionals);
        return response()->json(['value' => true, 'data' => $data, 'code' => 200]);
    }

    public function home_category(Request $request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $category_setting = Setting::first();
        if ($category_setting->category_id) {
            $category = Category::where('parent_id', '=', $category_setting->category_id)->get();
            return response()->json(['value' => true, 'data' => CategoriesResource::collection($category), 'section_name' => $category_setting->category->name[$lang], 'code' => 200]);
        }
        return response()->json(['value' => true, 'data' => [], 'section_name' => '', 'code' => 200]);
    }
}
