<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class CategoriesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */

    public function toArray($request)
    {
        $lang = $request->header('Accept-Language', 'ar');

        return [
            'id' => $this->id,
            'name' => $this->name[$lang],
            'image' => $this->image,
            'parent_id' => $this->parent_id ? (integer)$this->parent_id : 0,
            'car_option' => $this->car_option,
            'status' => $this->status,
        ];
    }
}
