<!--start popup-->
<div class="popup">
    <!--start login-model -->
    <div class="modal fade" id="login-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <!-- Modal body -->
                <div class="modal-body">
                    <div class="login-form text-center row">
                        <div class="col-md-7 right-modal-grid">
                            <div class="right-modal">
                                <h4 class="modal-title main-color">مرحبا</h4>
                                <p>@lang('data.login')</p>
                                <form method="post" action="{{route('user_login')}}" class="needs-validation row"
                                      novalidate>
                                    @csrf
                                    <div class="form-group col-12">
                                        <input type="tel" class="form-control" name="mobile" placeholder="@lang('data.mobile')"
                                               required>

                                    </div>
                                    <div class="form-group col-12">
                                        <input type="password" name="password" class="form-control"
                                               placeholder="@lang('data.password')" required>

                                    </div>
                                    <div class="form-group col-12">
                                        <div class="check-form-div">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" name="remember" class="custom-control-input"
                                                       id="remmember-pass">
                                                <label class="custom-control-label" for="remmember-pass">@lang('data.remember')
                                                </label>
                                            </div>
                                            <a href="#" data-toggle="modal" data-target="#forget-modal"
                                               data-dismiss="modal" class="forget-link"><span>@lang('data.login_forget_password')</span>
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <button type="submit" class="btn btn-main btn-hover full-width-btn">
                                            @lang('data.login')
                                        </button>
                                    </div>
                                    <p class="center">@lang('data.have_account')
                                        <a href="#" class="register-modal-open login-text-link" data-toggle="modal"
                                           data-target="#register-modal" data-dismiss="modal">@lang('data.create_account')</a>
                                    </p>
                                </form>
                            </div>
                        </div>
                        <div class="col-md-5 left-modal-grid">
                            <div class="left-modal">
                                <img src="{{$setting->site_logo}}" alt="logo"/>
                                <button type="button" class="btn btn-close" data-dismiss="modal"><i
                                        class="fa fa-times"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end login-model -->

    <!--start register-model -->
    <div class="modal fade" id="register-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <!-- Modal body -->
                <div class="modal-body">
                    <div class="login-form text-center row">
                        <div class="col-md-7 right-modal-grid">
                            <div class="right-modal">
                                <h4 class="modal-title main-color">@lang('data.welcome')</h4>
                                <p>@lang('data.register_in') @lang('data.to_add')</p>
                                <form method="post" action="{{route('user_register')}}" class="needs-validation row"
                                      novalidate>
                                    @csrf
                                    <div class="form-group col-6">
                                        <input type="tel" class="form-control" name="mobile"
                                               placeholder="@lang('data.mobile')"
                                               required>
                                        <div class="invalid-feedback">
                                            @lang('data.plz_enter_mobile')
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <div class="single-select">
                                            <select name="country_code" required id="country-slc" class="custom-select">
                                                @foreach(\App\Models\CountryCodes::all() as $code)
                                                    <option
                                                        value="{{$code->code}}">{{$code->code}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-12">
                                        <input type="text" class="form-control" name="name"
                                               placeholder="@lang('data.name')"
                                               required>
                                        <div class="invalid-feedback">
                                            @lang('data.plz_enter_name')
                                        </div>
                                    </div>
                                    <div class="form-group col-12">
                                        <div class="single-select">
                                            <select name="city_id" id="country-slc" class="custom-select">
                                                @foreach(\App\Models\City::whereParentId(null)->get() as $city)
                                                    <option
                                                        value="{{$city->id}}">{{$city->name[App::getLocale()]}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-12">
                                        <input type="password" name="password" class="form-control"
                                               placeholder="@lang('data.password')" required>

                                    </div>
                                    <div class="form-group col-12">
                                        <input type="password" class="form-control"
                                               name="password_confirmation" placeholder="@lang('data.password_confirmation')" required>

                                    </div>
                                    <div class="col-12">
                                        <button type="submit" class="btn btn-main btn-hover full-width-btn">@lang('data.create_account')
                                        </button>
                                    </div>
                                    <p class="center">
                                        <a href="#" class="register-modal-open login-text-link" data-toggle="modal"
                                           data-target="#login-modal" data-dismiss="modal">@lang('data.login')</a>
                                    </p>
                                </form>
                            </div>
                        </div>
                        <div class="col-md-5 left-modal-grid">
                            <div class="left-modal">
                                <img src="{{$setting->site_logo}}" alt="logo"/>
                                <button type="button" class="btn btn-close" data-dismiss="modal"><i
                                        class="fa fa-times"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end register-model -->

    <!--start login-model -->
    <div class="modal fade" id="forget-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <!-- Modal body -->
                <div class="modal-body">
                    <div class="login-form text-center row">
                        <div class="col-md-7 right-modal-grid">
                            <div class="right-modal">
                                <h4 class="modal-title main-color">مرحبا</h4>
                                <p>@lang('data.forget_password')</p>
                                <form method="post" action="{{route('forget_password')}}" class="needs-validation row"
                                      novalidate>
                                    @csrf
                                    <div class="form-group col-8">
                                        <input type="tel" name="mobile" class="form-control" placeholder="@lang('data.mobile')"
                                               required>
                                    </div>
                                    <div class="form-group col-4">
                                        <select name="country_code" class="form-control" required>
                                            @foreach(\App\Models\CountryCodes::all() as $code)

                                                <option value="{{$code->code}}">{{$code->code}}</option>
                                            @endforeach
                                        </select>

                                    </div>
                                    <div class="col-12">
                                        <button type="submit" class="btn btn-main btn-hover full-width-btn">
                                            @lang('data.send')
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="col-md-5 left-modal-grid">
                            <div class="left-modal">
                                <img src="{{$setting->site_logo}}" alt="logo"/>
                                <button type="button" class="btn btn-close" data-dismiss="modal"><i
                                        class="fa fa-times"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--end popup-->

<!-- loading window -->
<div class="loading-window">
    <div class="lds-ellipsis">
        <div></div>
        <div></div>
        <div></div>
        <div></div>
    </div>
</div>

<header>
    <div class="top-header">
        <div class="container">
            <div class="grid-lists">
                <!-- display only if not logged in -->
                <ul class="list-unstyled right-grid">
                    @if(!Auth::check())
                        <li>
                            <a href="#" data-toggle="modal" data-target="#login-modal">
                                <span class="icon"><i class="fas fa-user"></i></span>
                                <span class="text">@lang('data.login')</span>
                            </a>
                        </li>
                    @endif
                    @if(\Auth::check())
                        <li>
                            <a href="{{route('user_logout')}}">
                                <span class="icon"><i class="fas fa-sign-out-alt"></i></span>
                                <span class="text">@lang('data.header_logout')</span>
                            </a>
                        </li>
                    @endif
                </ul>
                <!-- if logged -->
                <ul class="list-unstyled right-grid">
                    @if(\Auth::check())
                        <li>
                            <a href="{{route('profile')}}">
                                <span class="icon"><i class="fas fa-user"></i></span>
                                <span id="name_header"
                                      class="text">{{Auth::user()->name ? \Auth::user()->name  :\Auth::user()->mobile}}</span>

                            </a>
                        </li>
                        <li>
                            <a href="{{route('favourite')}}">
                                <span class="icon"><i class="fas fa-heart"></i></span>
                                <span class="text">@lang('data.favourite_header')</span>
                            </a>
                        </li>
                    <li>
                        <a href="{{route('messages')}}">
                            @if(\App\Models\Message::where('receiver_id',\Auth::user()->id)->where('read','=','false')->count() < 1)
                                <span class="icon"><i class="fas fa-envelope"></i></span>
                                <!-- unread messages -->
                            @else
                                <span class="icon unread notify"><i class="fas fa-envelope"></i></span>
                            @endif
                            <span class="text">@lang('data.header_messages')</span>

                        </a>
                    </li>

                        <li>
                            <a href="{{route('notifications')}}">
                                @if(\Auth::user()->notifications->where('read','==','false')->count() < 1)
                                    <span class="icon"><i class="fas fa-bell"></i></span>
                                    <!-- only if unread notifications -->
                                @else
                                    <span class="icon unread notify"><i class="fas fa-bell"></i></span>
                                @endif
                                <span class="text">@lang('data.header_notification')</span>
                            </a>
                        </li>
                    @endif


                </ul>
                <div class="left-grid">
                    @if(\App::getLocale() == 'ar')
                        <a href="{{route('change_language','en')}}">
                            <span class="icon"><i class="fas fa-globe"></i></span>
                            <span class="text">English</span>
                        </a>
                    @else
                        <a href="{{route('change_language','ar')}}">
                            <span class="icon"><i class="fas fa-globe"></i></span>
                            <span class="text">العربية</span>
                        </a>


                    @endif
                </div>
            </div>
        </div>
    </div>
    {{--   session messages   --}}
    @if (session()->has('message'))
        <div style="text-align: center" class="alert alert-success">
            {{ session('message') }}
        </div>
    @elseif(session()->has('error'))
        <div style="text-align: center" class="alert alert-danger">
            {{ session('error') }}
        </div>
    @endif

    @if ($errors->any())
        <div style="text-align: center"  class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <div class="navbar navbar-expand-lg white-bg">
        <div class="container">
            <a class="navbar-brand" href="{{route('home')}}">
                <img src="{{$setting->site_logo}}" style=" width: 144px;height: 40px;" class="img-fluid" alt="img"/>
            </a>
            <button class="navbar-toggler menu-wrapper collapsed" type="button" data-toggle="collapse"
                    data-target="#mainNavbar" aria-controls="mainNavbar" aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="hamburger-menu"></span>
            </button>
            <div class="collapse navbar-collapse" id="mainNavbar">
                <ul class="navbar-nav main-navbar m-auto">
                    @foreach(\App\Models\Category::where('status','active')->where('parent_id','=', null)->get() as $category)
                        <li class="nav-item">
                            <a class="nav-link" href="{{route('categories',$category->id)}}">{{$category->name[App::getLocale()]}}</a>
                        </li>
                    @endforeach
                </ul>
                @if(\Auth::check())
                    <a href="{{route('product.create')}}" class="btn btn-main btn-hover hidden-mobile">@lang('data.add_product_now')</a>
                @endif
            </div>
        </div>
    </div>
</header>


