<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// website

Route::group(['namespace' => 'Web'], function () {

    Route::get('/', 'HomeController@index')->name('home');
    Route::get('change_language/{lang}', 'HomeController@change_language')->name('change_language')->middleware('lang');

    Route::post('user_login', 'HomeController@user_login')->name('user_login');
    Route::post('user_register', 'HomeController@user_register')->name('user_register');
    Route::post('forget_password', 'HomeController@forget_password')->name('forget_password');
    Route::post('user_rest_password', 'HomeController@user_rest_password')->name('user_rest_password');
    Route::get('forget_password_user', 'HomeController@forget_password_user')->name('forget_password_user');
    Route::get('update_forget_password', 'HomeController@update_forget_password')->name('update_forget_password');
    Route::post('update_password', 'HomeController@update_password')->name('update_password');

    Route::get('user/{mobile}', 'UserController@user_profile')->name('user_profile');
    Route::get('special_ads', 'HomeController@special_ads')->name('special_ads');
    Route::get('discount', 'DataController@discount')->name('discount');
    Route::post('spam_web', 'ProductsController@spam_web')->name('spam_web');
    Route::resource('product', 'ProductsController');
    Route::get('search', 'DataController@search')->name('search');
    Route::post('search_location_ajax', 'DataController@search_location_ajax')->name('search_location_ajax');
    Route::post('search_city_ajax', 'DataController@search_city_ajax')->name('search_city_ajax');
    Route::get('search_new_products', 'DataController@search_new_products')->name('search_new_products');
    Route::get('search_all_products', 'DataController@search_all_products')->name('search_all_products');
    Route::get('get_tap_products', 'DataController@get_tap_products')->name('get_tap_products');
    Route::get('tap_products_city', 'DataController@tap_products_city')->name('tap_products_city');
    Route::get('get_tap_all', 'DataController@get_tap_all')->name('get_tap_all');
    Route::get('get_tap_new', 'DataController@get_tap_new')->name('get_tap_new');


    Route::get('black_list', 'DataController@black_list')->name('black_list');
    Route::post('search_black_list', 'DataController@search_black_list')->name('search_black_list');
    Route::get('filter_home', 'DataController@filter_home')->name('filter_home');
    Route::get('categories/{id}', 'DataController@categories')->name('categories');

    Route::get('duplicate_service_charges', 'DataController@duplicate_service_charges')->name('duplicate_service_charges');
    Route::get('terms', 'DataController@terms')->name('terms');

    Route::get('contact', 'ContactsController@contact')->name('contact');
    Route::get('rating_system', 'DataController@rating_system')->name('rating_system');
    Route::get('not_allowed', 'DataController@not_allowed')->name('not_allowed');
    Route::get('membership', 'DataController@membership')->name('membership');

    Route::post('payment_member_ship', 'DataController@payment_member_ship')->name('payment_member_ship');
    Route::get('contact_form', 'ContactsController@contact_form')->name('contact_form');
    Route::post('contact_store', 'ContactsController@contact_store')->name('contact_store');
    Route::get('commission', 'DataController@commission')->name('commission');
    Route::get('calc_commission', 'DataController@calc_commission')->name('calc_commission');
    Route::post('payment_commission', 'DataController@payment_commission')->name('payment_commission');
    Route::get('get_parent_categories_ajax', 'ProductsController@get_parent_categories_ajax')->name('get_parent_categories_ajax');
    Route::post('grand_categories_ajax', 'ProductsController@grand_categories_ajax')->name('grand_categories_ajax');
    Route::get('get_categories_ajax', 'ProductsController@get_categories_ajax')->name('get_categories_ajax');
    Route::get('get_cities_ajax', 'ProductsController@get_cities_ajax')->name('get_cities_ajax');
    Route::get('follow_product','ProductsController@follow_product')->name('follow_product');
    Route::group(['middleware' => 'user'], function () {

        Route::post('send_out_message', 'MessagesController@send_out_message')->name('send_out_message');
        Route::get('user_logout', 'HomeController@logout')->name('user_logout');

        Route::post('calc', 'DataController@calc')->name('calc');
        Route::get('profile', 'UserController@profile')->name('profile');
        Route::post('change_password_ajax', 'UserController@change_password_ajax')->name('change_password_ajax');
        Route::post('change_username_ajax', 'UserController@change_username_ajax')->name('change_username_ajax');
        Route::post('change_email_ajax', 'UserController@change_email_ajax')->name('change_email_ajax');
        Route::post('change_mobile_ajax', 'UserController@change_mobile_ajax')->name('change_mobile_ajax');
        Route::post('upload_image_ajax', 'UserController@upload_image_ajax')->name('upload_image_ajax');
        Route::get('membership_form', 'DataController@membership_form')->name('membership_form');
        Route::get('delete_notification/{id}', 'DataController@delete_notification')->name('delete_notification');
//      Route::get('all_rooms', 'MessagesController@all_rooms')->name('all_rooms');
        Route::get('messages/{id?}', 'MessagesController@messages')->name('messages');
        Route::post('send_message', 'MessagesController@send_message')->name('send_message');
        Route::post('search_rooms', 'MessagesController@search_rooms')->name('search_rooms');
//      Route::get('all_messages', 'MessagesController@all_messages')->name('all_messages');

        Route::get('licences', 'LicencesController@index')->name('licences');
        Route::get('licence/{flag}', 'LicencesController@single_licence')->name('single_licence');
        Route::post('store_licence', 'LicencesController@store_licence')->name('store_licence');
        Route::get('refresh_product','ProductsController@refresh_product')->name('refresh_product');
        Route::post('send_document_mobile', 'UserController@send_document_mobile')->name('send_document_mobile');
        Route::post('confirm_sent_code', 'UserController@confirm_sent_code')->name('confirm_sent_code');
        Route::post('change_password_ajax', 'UserController@change_password_ajax')->name('change_password_ajax');
        Route::post('change_username_ajax', 'UserController@change_username_ajax')->name('change_username_ajax');
        Route::get('favourite', 'UserController@favourite')->name('favourite');
        Route::post('add_remove_favourite', 'UserController@add_remove_favourite')->name('add_remove_favourite');
        Route::post('rate_user', 'UserController@rate_user')->name('rate_user');
        Route::post('follow_user_ajax', 'UserController@follow_user_ajax')->name('follow_user_ajax');
        Route::post('add_comment_web', 'ProductsController@add_comment_web')->name('add_comment_web');
        Route::get('notifications', 'NotificationsController@index')->name('notifications');
        Route::post('spam_web', 'ProductsController@spam_web')->name('spam_web');
        Route::get('fav_product','ProductsController@fav_product')->name('fav_product');

    });


});


// admin routes
Route::group(['namespace' => 'Admin'], function () {
    Route::get('admin_login', 'HomeController@login_form')->name('login_form');
    Route::post('authenticate', 'HomeController@authenticate')->name('authenticate');
    Route::group(['middleware' => 'admin', 'prefix' => 'admin'], function () {
        Route::get('/', 'HomeController@home')->name('dashboard');
        Route::get('admin_logout', 'HomeController@admin_logout')->name('admin_logout');

        Route::resource('admin', 'AdminsController');
        Route::resource('users', 'UsersController');
        Route::resource('banks', 'BanksController');
        Route::resource('categories', 'CategoriesController');
        Route::resource('products', 'ProductsController');
        Route::resource('subscriptions', 'SubscriptionsController');
        Route::resource('transfers', 'TransfersController');
        Route::resource('blocks', 'BlocksController');
        Route::resource('additional_types', 'AdditionalTypesController');
        Route::resource('licences', 'LicencesController');
        Route::resource('contacts', 'ContactsController');
        Route::resource('spams', 'SpamsController');
        Route::resource('country_codes', 'CountryCodesController');


        Route::resource('contact_desc', 'ContactDescController');
        Route::resource('usage_terms', 'UsageTermsController');
        Route::resource('discount_rating', 'DiscountRatingController');
        Route::resource('repeating_services', 'RepeatingServicesController');
        Route::resource('car_subscriptions', 'CarSubscriptionsController');
        Route::resource('banned_services', 'BannedServicesController');
        Route::resource('banners', 'BannersController');
        Route::get('show_home/{id}', 'BannersController@show_home')->name('show_home');
        Route::get('hide_home/{id}', 'BannersController@hide_home')->name('hide_home');
        Route::get('change_vip/{user_id}/{status}', 'UsersController@change_vip')->name('change_vip');


        // subcategories
        // id is for category parent
        Route::get('get_sub_category_ajax', 'AdditionalTypesController@get_sub_category_ajax')->name('get_sub_category_ajax');
//        Route::get('get_children_sub_category_ajax', 'AdditionalTypesController@get_children_sub_category_ajax')->name('get_children_sub_category_ajax');
        Route::get('create_subcategories/{id}', 'SubcategoriesController@create')->name('subcategories.create');
        Route::post('create_subcategories', 'SubcategoriesController@store')->name('subcategories.store');
        Route::get('edit_subcategories/{id}', 'SubcategoriesController@edit')->name('subcategories.edit');
        Route::patch('edit_subcategories/{id}', 'SubcategoriesController@update')->name('subcategories.update');
        Route::delete('delete_subcategories/{id}', 'SubcategoriesController@destroy')->name('subcategories.destroy');
        Route::delete('destroy_comment/{id}', 'ProductsController@destroy_comment')->name('destroy_comment');
        Route::get('settings', 'SettingsController@settings')->name('settings');
        Route::patch('settings_update/{id}', 'SettingsController@settings_update')->name('settings_update');
        // cities and its hay
        Route::resource('countries', 'CountriesController');
// id is for parent country
        Route::get('create_cities/{id}', 'CitiesController@create')->name('cities.create');
        Route::post('create_cities', 'CitiesController@store')->name('cities.store');
        Route::get('edit_cities/{id}', 'CitiesController@edit')->name('cities.edit');
        Route::patch('edit_cities/{id}', 'CitiesController@update')->name('cities.update');
        Route::delete('delete_cities/{id}', 'CitiesController@destroy')->name('cities.destroy');
        Route::get('cities/{id}', 'CitiesController@show')->name('cities.show');

        // hays
        Route::get('create_hays/{id}', 'HaysController@create')->name('hays.create');
        Route::post('create_hays', 'HaysController@store')->name('hays.store');
        Route::get('edit_hays/{id}', 'HaysController@edit')->name('hays.edit');
        Route::patch('edit_hays/{id}', 'HaysController@update')->name('hays.update');
        Route::delete('delete_hays/{id}', 'HaysController@destroy')->name('hays.destroy');
// Notifications
        Route::resource('notifications', 'NotificationsController');
    });
});
